﻿param($buildConfiguration)
$scriptLocation = Split-Path -Path $MyInvocation.MyCommand.Definition -Parent

$localScript = "postbuild-{0}-{1}.ps1" -f $env:COMPUTERNAME,$buildConfiguration
$defaultBuildScript = "postbuild-default-{0}.ps1" -f $buildConfiguration
$defaultScript = "postbuild-default.sp1"

if(test-path "$scriptlocation\$localScript"){	# postbuild-machinename-debug.ps1
	. "$scriptLocation\$localScript"}
elseif(test-path "$scriptlocation\$defaultBuildScript") { # postbuild-default-debug.ps1
	. "$scriptLocation\$defaultBuildScript"}
elseif(test-path "$scriptlocation\$defaultScript"){ # postbuild-default.ps1
	. "$scriptLocation\$defaultScript" }


$scriptLocation = Split-Path -Path $MyInvocation.MyCommand.Definition -Parent
cp "$scriptlocation\bin\debug\*.dll" -dest "C:\inetpub\wwwroot\wss\VirtualDirectories\8080\bin\"
cp "$scriptlocation\..\SPSilverlight\bin\Debug\SPSilverlight.xap" -dest "C:\inetpub\wwwroot\wss\VirtualDirectories\8080\ClientBin\"
cp "$scriptlocation\..\SPTwitter\bin\Debug\SPTwitter.xap" -dest "C:\inetpub\wwwroot\wss\VirtualDirectories\8080\ClientBin\"
cp "$scriptlocation\..\SPDigg\bin\Debug\SPDigg.xap" -dest "C:\inetpub\wwwroot\wss\VirtualDirectories\8080\ClientBin\"