﻿$scriptLocation = Split-Path -Path $MyInvocation.MyCommand.Definition -Parent

write-host "Building Solution(s)"

. "$scriptLocation\buildDdf.ps1"

write-host "Copying Files"

ls $scriptLocation|? {$_.PSIsContainer -eq $true}|% { 
	copy-requiredAssemblies($_)
	create-ddfFromFolder($_) 	
	makecab /f ($_.Parent.FullName + "\" + $_.Name + ".ddf")
}

write-host "Done"
#read-host
popd