﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace SPSilverlight.SharePoint
{
    public class SLSerializer : SLWebPart
    {
        #region Properties
        private string _ControlId;
        [Browsable(true), Personalizable(), WebBrowsable, Category("Custom Settings"),
                DefaultValue("Page"), Description("Control ID")]
        public string ControlId
        {
            get { return _ControlId; }
            set { _ControlId = value; }
        }

        #endregion

        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            Literal l = new Literal();

            string romangeeko = GetTwitterData("romangeeko");
            string mnspcamp = GetTwitterData("mnspcamp");

            romangeeko = Context.Server.HtmlEncode(romangeeko);
            mnspcamp = Context.Server.HtmlEncode(mnspcamp);

            string html = @"<div id=""{0}"">{1}</div>";
            l.Text = string.Format(html, "romangeeko", romangeeko);
            l.Text += string.Format(html, "mnspcamp", mnspcamp);

            l.Text = @"<div onclick='ToggleVisible(""serialparent"");'>The DATA</div><span id='serialparent' style=""visibility: hidden""  >" + l.Text + "</span>"; //


            Controls.Add(l);
        }

        private string GetTwitterData(string phrase)
        {
            string url = string.Format("http://search.twitter.com/search.atom?phrase={0}&since_id=4011522937",phrase);

            WebClient wc = new WebClient();
            string result = wc.DownloadString(new Uri(url));
            return result;
        }


    }
}
