﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls.WebParts;

namespace SPSilverlight.SharePoint
{
    public class SLWebPartConnection : SLWebPart
    {
        [ConnectionConsumer("Chart Value")]
        public void GetSomeParameter(string chartValue)
        {
            try
            {
                double result;
                if(Double.TryParse(chartValue,out result))
                {
                   InitInformation.Add("ChartValue",chartValue); 
                }
                
            }
            catch(Exception ex)
            {
                this.Context.Response.Write("Exception: " + ex.Message + " " + ex.StackTrace);
            }
        }

    }
}
